팔베개 다운로드

베개는 알렉스 클라크가 이끄는 자원봉사 활동입니다. 당신이 개발에 도움이 되지 않는 경우, 재정적으로 우리를 도와주세요; 당신의 지원은 매우 필요하고 감사합니다! 베개는 공식 포트 또는 패키지 시스템을 통해 FreeBSD에 설치할 수 있습니다: 베개는 파이썬 이미징 라이브러리의 기능적 드롭인 대체품입니다. 필로우를 사용하여 기존 PIL 호환 코드를 실행하려면 전역 네임스페이스 대신 PIL 네임스페이스에서 이미징 모듈을 가져오도록 수정해야 합니다. 즉, 변경: 베개 부분을 컴파일하려면 Xcode 명령줄 도구가 필요합니다. 도구는 명령줄에서 xcode 선택 –install를 실행하여 설치됩니다. 전체 Xcode 패키지가 설치되어 있더라도 명령줄 도구가 필요합니다. 도구를 사용하기 전에 sudo xcodebuild -license를 실행하여 라이선스를 수락해야 할 수 있습니다. 필로우 2.0.0 이전에는 이미지 코드가 거의 변경되지 않았습니다. 베개 2.0.0 파이썬 3 지원을 추가하고 많은 기여에서 많은 버그 수정을 포함한다. 베개 < 2.0.0파이썬 버전 2.4, 2.5, 2.6, 2.7; 베개 == 2.0.0은 파이썬 버전 2.6, 2.7, 3.2, 3.3을 지원합니다.

당신은 당신의 자신의 파이썬을 구축 한 경우, 당신은 사용하여 베개를 설치할 수 있어야합니다 : 시스템에 대한 바이너리 패키지가있는 경우, 그 베개를 설치하는 가장 쉬운 방법입니다. 현재 우리는 (파이썬 계란을 통해) 윈도우에 대한 바이너리를 제공합니다. 베개 >= 1.0은 더 이상 “이미지 가져오기”를 지원하지 않습니다. 대신 “PIL 가져오기 이미지”를 사용하십시오. OS X에는 바이너리를 제공하지 않습니다. 그래서 당신은 베개를 설치하려면 XCode가 필요합니다. (XCode 4.2 on 10.6은 공식 파이썬 바이너리 배포판에서 작동합니다. 그렇지 않으면 파이썬을 컴파일하는 데 사용한 XCode를 사용합니다.) 라즈베리 파이 비슷한 하드웨어 를 해야 합니다. 나는 훨씬 더 빨리 (당신은 정말 차이를 알 수 있습니다) PyPy에 OctoPrint를 실행하려고했지만 베개에 의존하는 플러그인 (내가 참조 한 것)이 있습니다. Pillow의 많은 기능에는 외부 라이브러리가 필요합니다: Pillow의 기본 기능을 사용하기 위해 지원되는 모든 외부 라이브러리를 설치할 필요는 없습니다. Zlib및 libjpeg는 기본적으로 필요합니다.

베개와 PIL은 동일한 환경에서 공존할 수 없습니다. 베개를 설치하기 전에 PIL을 제거하십시오. 페도라, 데비안/우분투, 아치리눅스를 포함한 대부분의 주요 리눅스 배포판에는 이전에 PIL(예: 파이썬 이미징)이 포함된 패키지에 베개가 포함되어 있습니다. PyPI의 릴리스 기록과 직접 URL 액세스 등을 통해 이전 배포판을 다운로드할 수 있습니다. https://pypi.org/project/Pillow/1.0/. 베개는 다음 파이썬 버전에서 지원됩니다 베개는 이전에 필요한 전제 조건없이 구축 된 경우, 수동으로 pip 캐시를 지우거나 새로 설치된 외부 라이브러리와 빌드를 강제로 –no-cache-dir 옵션을 사용하여 캐시없이 빌드해야 할 수도 있습니다. 휠, 계란 및 실행 가능한 설치 프로그램의 32비트 및 64비트 버전모두에서 지원되는 파이썬의 매트릭스용으로 컴파일된 Windows용 필로우 바이너리를 제공합니다. 이러한 바이너리에는 라크m 및 libimagequant: Pillow에 대한 현재 플랫폼 지원을 제외한 모든 선택적 라이브러리가 포함됩니다. 이진 분포는 각 릴리스에 대해 자발적으로 기여하지만 소스는 플랫폼 지원이 나열된 모든 곳에서 컴파일하고 실행되어야 합니다. 일반적으로, 우리는 리눅스의 모든 현재 버전을 지원하는 것을 목표로, 맥 OS, 윈도우.

베개 FreeBSD 포트 및 패키지는 모든 지원 되는 FreeBSD 버전으로 포트 팀에 의해 테스트 됩니다.